Bug 109457 - [CI][DRMTIP] igt@kms_* - dmesg-warn/incomplete - plane 6A assertion failure (expected off, current on)
Summary: [CI][DRMTIP] igt@kms_* - dmesg-warn/incomplete - plane 6A assertion failure ...
Status: CLOSED FIXED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: XOrg git
Hardware: Other All
: highest normal
Assignee: Easwar Hariharan
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard: ReadyForDev
Keywords:
Depends on:
Blocks:
 
Reported: 2019-01-25 11:49 UTC by Lakshmi
Modified: 2019-03-06 16:04 UTC (History)
2 users (show)

See Also:
i915 platform: ICL
i915 features: display/Other


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Lakshmi 2019-01-25 11:49:34 UTC

    
Comment 2 CI Bug Log 2019-01-25 11:59:55 UTC
A CI Bug Log filter associated to this bug has been updated:

{- ICL: igt@kms_* - dmesg-warn - WARNING: CPU: 1 PID: 1354 at drivers/gpu/drm/i915/intel_display.c -}
{+ ICL: igt@kms_* - dmesg-warn - plane 6A assertion failure (expected off, current on) +}

 No new failures caught with the new filter
Comment 3 Lakshmi 2019-01-25 12:01:37 UTC
<4> [801.789045] plane 6A assertion failure (expected off, current on)
<4> [801.789108] WARNING: CPU: 0 PID: 1481 at drivers/gpu/drm/i915/intel_display.c:1234 assert_plane+0xaf/0xc0 [i915]
<4> [801.789111] Modules linked in: vgem snd_hda_codec_hdmi snd_hda_codec_realtek snd_hda_codec_generic snd_hda_intel snd_hda_codec snd_hwdep x86_pkg_temp_thermal coretemp crct10dif_pclmul crc32_pclmul ghash_clmulni_intel snd_hda_core i915 snd_pcm btusb e1000e btrtl btbcm cdc_ether btintel usbnet i2c_i801 mii bluetooth ecdh_generic prime_numbers
<4> [801.789137] CPU: 0 PID: 1481 Comm: kms_rotation_cr Tainted: G     U            5.0.0-rc3-g8d5bb5625cc2-drmtip_197+ #1
<4> [801.789140] Hardware name: Intel Corporation Ice Lake Client Platform/IceLake U DDR4 SODIMM PD RVP TLC, BIOS ICLSFWR1.R00.2402.AD3.1810170014 10/17/2018
<4> [801.789188] RIP: 0010:assert_plane+0xaf/0xc0 [i915]
<4> [801.789191] Code: 7e 62 c0 84 c0 48 c7 c2 6d 7e 62 c0 48 89 f1 48 c7 c7 98 bc 64 c0 48 0f 44 ca 40 84 ed 48 0f 45 d6 48 8b 73 18 e8 61 2d b5 f8 <0f> 0b e9 7b ff ff ff e8 35 30 b5 f8 0f 1f 44 00 00 c1 e6 0c 53 89
<4> [801.789195] RSP: 0018:ffff9f45c015bb28 EFLAGS: 00010286
<4> [801.789198] RAX: 0000000000000000 RBX: ffff964bdc7c3a78 RCX: 0000000000000000
<4> [801.789201] RDX: 0000000000000007 RSI: ffffffffba0874d3 RDI: 00000000ffffffff
<4> [801.789204] RBP: 0000000000000000 R08: 00000000c423f612 R09: 0000000000000000
<4> [801.789207] R10: 0000000000000000 R11: 0000000000000000 R12: ffff964bdbc6e678
<4> [801.789210] R13: ffff964be6ef12a8 R14: ffff964bdbc6e678 R15: 0000000000000000
<4> [801.789213] FS:  00007f47a5531980(0000) GS:ffff964befe00000(0000) knlGS:0000000000000000
<4> [801.789216] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
<4> [801.789219] CR2: 00007f4799025282 CR3: 000000049e0c6003 CR4: 0000000000760ef0
<4> [801.789222] DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
<4> [801.789225] DR3: 0000000000000000 DR6: 00000000fffe0ff0 DR7: 0000000000000400
<4> [801.789227] PKRU: 55555554
<4> [801.789230] Call Trace:
<4> [801.789281]  intel_atomic_commit_tail+0xb9e/0xdf0 [i915]
<4> [801.789336]  intel_atomic_commit+0x244/0x330 [i915]
<4> [801.789345]  drm_mode_atomic_ioctl+0x85d/0x950
<4> [801.789364]  ? drm_atomic_set_property+0x970/0x970
<4> [801.789375]  drm_ioctl_kernel+0x81/0xf0
<4> [801.789383]  drm_ioctl+0x2f3/0x3b0
<4> [801.789390]  ? drm_atomic_set_property+0x970/0x970
<4> [801.789407]  do_vfs_ioctl+0xa0/0x6e0
<4> [801.789412]  ? lock_acquire+0xa6/0x1c0
<4> [801.789418]  ? __task_pid_nr_ns+0xb9/0x1f0
<4> [801.789426]  ksys_ioctl+0x35/0x60
<4> [801.789432]  __x64_sys_ioctl+0x11/0x20
<4> [801.789437]  do_syscall_64+0x55/0x190
<4> [801.789442]  entry_SYSCALL_64_after_hwframe+0x49/0xbe
<4> [801.789446] RIP: 0033:0x7f47a4be15d7
<4> [801.789450] Code: b3 66 90 48 8b 05 b1 48 2d 00 64 c7 00 26 00 00 00 48 c7 c0 ff ff ff ff c3 66 2e 0f 1f 84 00 00 00 00 00 b8 10 00 00 00 0f 05 <48> 3d 01 f0 ff ff 73 01 c3 48 8b 0d 81 48 2d 00 f7 d8 64 89 01 48
<4> [801.789453] RSP: 002b:00007ffd5ab94d18 EFLAGS: 00000246 ORIG_RAX: 0000000000000010
<4> [801.789457] RAX: ffffffffffffffda RBX: 00005618333a9c80 RCX: 00007f47a4be15d7
<4> [801.789459] RDX: 00007ffd5ab94d70 RSI: 00000000c03864bc RDI: 0000000000000005
<4> [801.789462] RBP: 00007ffd5ab94d70 R08: 0000561833405de0 R09: 00000000000000c4
<4> [801.789465] R10: 0000000000000003 R11: 0000000000000246 R12: 00000000c03864bc
<4> [801.789468] R13: 0000000000000005 R14: 0000000000000000 R15: 0000000000000400
<4> [801.789481] irq event stamp: 39195866
<4> [801.789486] hardirqs last  enabled at (39195865): [<ffffffffb9126ebe>] console_unlock+0x3fe/0x600
<4> [801.789489] hardirqs last disabled at (39195866): [<ffffffffb90019b0>] trace_hardirqs_off_thunk+0x1a/0x1c
<4> [801.789493] softirqs last  enabled at (39195664): [<ffffffffb9c0033a>] __do_softirq+0x33a/0x4b9
<4> [801.789497] softirqs last disabled at (39195655): [<ffffffffb90b9a31>] irq_exit+0xd1/0xe0
<4> [801.789544] WARNING: CPU: 0 PID: 1481 at drivers/gpu/drm/i915/intel_display.c:1234 assert_plane+0xaf/0xc0 [i915]
Comment 4 CI Bug Log 2019-01-25 12:17:00 UTC
The CI Bug Log issue associated to this bug has been updated.

### New filters associated

* ICL: igt@runner@aborted - Fail - Previous test: kms_rotation_crc \(multiplane-rotation\)
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_197/fi-icl-u2/igt@runner@aborted.html
Comment 5 CI Bug Log 2019-01-28 13:28:30 UTC
A CI Bug Log filter associated to this bug has been updated:

{- ICL: igt@kms_* - dmesg-warn - plane 6A assertion failure (expected off, current on) -}
{+ ICL: igt@kms_rotation_crc@multiplane-rotation* - dmesg-warn - plane 6A assertion failure (expected off, current on) +}

New failures caught by the filter:

* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_198/fi-icl-u3/igt@kms_rotation_crc@multiplane-rotation-cropping-bottom.html
* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_199/fi-icl-u3/igt@kms_rotation_crc@multiplane-rotation-cropping-bottom.html
* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_200/fi-icl-u3/igt@kms_rotation_crc@multiplane-rotation-cropping-bottom.html
* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_201/fi-icl-u3/igt@kms_rotation_crc@multiplane-rotation-cropping-bottom.html
Comment 6 CI Bug Log 2019-01-28 13:29:00 UTC
A CI Bug Log filter associated to this bug has been updated:

{- ICL: igt@runner@aborted - Fail - Previous test: kms_rotation_crc \(multiplane-rotation\) -}
{+ ICL: igt@runner@aborted - Fail - Previous test: kms_rotation_crc \(multiplane-rotation*\) +}

New failures caught by the filter:

* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_198/fi-icl-u3/igt@runner@aborted.html
* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_199/fi-icl-u3/igt@runner@aborted.html
* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_200/fi-icl-u3/igt@runner@aborted.html
* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_201/fi-icl-u3/igt@runner@aborted.html
Comment 7 CI Bug Log 2019-02-04 16:59:55 UTC
A CI Bug Log filter associated to this bug has been updated:

{- ICL: igt@kms_rotation_crc@multiplane-rotation* - dmesg-warn - plane 6A assertion failure (expected off, current on) -}
{+ ICL: igt@kms_rotation_crc@multiplane-rotation* - dmesg-warn/incomplete - plane 6A assertion failure (expected off, current on) +}

New failures caught by the filter:

* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_207/fi-icl-u3/igt@kms_rotation_crc@multiplane-rotation-cropping-top.html
* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_208/fi-icl-u3/igt@kms_rotation_crc@multiplane-rotation-cropping-top.html
Comment 8 CI Bug Log 2019-02-04 17:43:37 UTC
The CI Bug Log issue associated to this bug has been updated.

### New filters associated

* ICL:  igt@kms_rotation_crc@multiplane-rotation - incomplete
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_208/fi-icl-u3/igt@kms_rotation_crc@multiplane-rotation.html
Comment 9 CI Bug Log 2019-02-11 11:47:43 UTC
A CI Bug Log filter associated to this bug has been updated:

{- ICL:  igt@kms_rotation_crc@multiplane-rotation - incomplete -}
{+ ICL:  igt@kms_rotation_crc@*-rotation-* - incomplete +}

New failures caught by the filter:

* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_212/fi-icl-y/igt@kms_rotation_crc@sprite-rotation-270.html
Comment 10 CI Bug Log 2019-02-15 10:24:00 UTC
The CI Bug Log issue associated to this bug has been updated.

### New filters associated

* ICL: igt@kms_chamelium@hdmi-cmp-nv* - dmesg-warn - plane 6A assertion failure (expected off, current on)
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_218/fi-icl-u2/igt@kms_chamelium@hdmi-cmp-nv12.html
Comment 11 Martin Peres 2019-02-28 21:23:00 UTC
This causes a lot notrun on ICL. Prioritizing because of the WARNING it generates.
Comment 12 Ville Syrjala 2019-03-04 18:20:41 UTC
commit 3e1d87ddcf6298fd32ba4857173edd9e559897cf (HEAD -> drm-intel-next-queued)
Author: Ville Syrjälä <ville.syrjala@linux.intel.com>
Date:   Mon Mar 4 15:12:17 2019 +0200

    drm/i915: Fix the state checker for ICL Y planes
Comment 13 Jani Saarinen 2019-03-04 18:37:00 UTC
Thanks Ville.
Comment 14 Martin Peres 2019-03-06 16:03:54 UTC
(In reply to Ville Syrjala from comment #12)
> commit 3e1d87ddcf6298fd32ba4857173edd9e559897cf (HEAD ->
> drm-intel-next-queued)
> Author: Ville Syrjälä <ville.syrjala@linux.intel.com>
> Date:   Mon Mar 4 15:12:17 2019 +0200
> 
>     drm/i915: Fix the state checker for ICL Y planes

Thanks, it fixed the issue!
Comment 15 CI Bug Log 2019-03-06 16:04:07 UTC
The CI Bug Log issue associated to this bug has been archived.

New failures matching the above filters will not be associated to this bug anymore.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.